Please sync pyorbit (main) from experimental

Bug #58483 reported by Sebastien Bacher on 2006-09-01
4
Affects Status Importance Assigned to Milestone
pyorbit (Ubuntu)
Undecided
Colin Watson

Bug Description

Please sync pyorbit (main) from experimental.

Overriding Ubuntu changes is ok.

Changelog since current edgy version 2.14.1-0ubuntu2:

pyorbit (2.14.1-2) experimental; urgency=low

  * Merge changes from 2.0.1-5.

 -- Loic Minier <email address hidden> Sat, 5 Aug 2006 22:38:11 +0200

pyorbit (2.14.1-1) experimental; urgency=low

  * Add watch file.
  * New upstream releases.
    - Add Gustavo J. A. M. Carneiro to copyright.
    - Bump pyversions to 2.4- as the upstream configure now requires Python
      2.4.
    - Bump up liborbit2-dev build-dep to >= 1:2.12.
  * Target at experimental for now, as python-gnome2 needs python-pyorbit for
    the Python 2.3 bindings, and we do not want to remove support for
    python2.3 in gnome-python for now; we will drop 2.3 support after the
    default Python runtime switches to 2.4.

 -- Loic Minier <email address hidden> Mon, 17 Jul 2006 14:00:30 +0200

pyorbit (2.0.1-5) unstable; urgency=low

  * Add watch file.
  * Copy Conflicts in Replaces, otherwise the python2.X- packages are not
    replaced.
  * Add debian/control to the pyversions -r call since it's mandatory, even if
    the man page claims it's optional.

 -- Loic Minier <email address hidden> Sun, 23 Jul 2006 16:54:15 +0200

pyorbit (2.0.1-4) unstable; urgency=low

  * Install examples one directory layer upper.
  * Convert to the new python policy (closes: #373502).
    + pycompat = 2
    + pyversions = 2.2-
    + Rework debian/rules and use .install files.
    + Call dh_pysupport in the binary-indep target.
    + Change package descriptions accordingly.
    + Add correct conflict fields.
  * Don't install useless .la files anymore.
  * Debhelper compatibility mode 5.
  * Require python-all-dev 2.3.5-11, debhelper 5.0.37.2 and
    python-support 0.3.
  * Standards version is 3.7.2.

 -- Josselin Mouette <email address hidden> Sat, 24 Jun 2006 13:41:00 +0200

Changed in pyorbit:
status: Unconfirmed → Confirmed
Colin Watson (cjwatson) wrote :

In future, please describe the Ubuntu changes you're overriding and why (I checked, it seemed to be just new upstream releases and Python packaging changes which have been obsoleted by the new Python policy).

[Updating] pyorbit (2.14.1-0ubuntu2 [Ubuntu] < 2.14.1-2 [Debian])
 * Trying to add pyorbit...
  - <pyorbit_2.14.1-2.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <pyorbit_2.14.1-2.dsc: downloading from http://ftp.debian.org/debian/>
  - <pyorbit_2.14.1.orig.tar.gz: already in distro - downloading from librarian>
I: pyorbit [main] -> python-pyorbit_2.14.0-0ubuntu2 [main].
I: pyorbit [main] -> python-pyorbit-dev_2.14.0-0ubuntu2 [main].
I: pyorbit [main] -> python-pyorbit-omg_2.14.0-0ubuntu2 [universe].

Changed in pyorbit:
assignee: nobody → kamion
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers